Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.service.impl
Class ObjectFactoryImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.service.impl.ObjectFactoryImpl

All Implemented Interfaces:
  ObjectFactory

    public class ObjectFactoryImpl

extends java.lang.Object
implements ObjectFactory

Author:
  swood

Constructor Summary
`ObjectFactoryImpl()`

Method Summary
`java.lang.String` | `getIdForClass(java.util.Map classMappings, java.lang.Class _class)`
`java.lang.Class` | `getImplementationClass(java.util.Map classMappings, java.lang.Class itfClass)`
`java.lang.Class` | `getImplementationClass(java.util.Map classMappings, java.lang.String id)`
`java.lang.String` | `getImplementationClassName(java.util.Map classMappings, java.lang.Class itfClass)`
`java.lang.String` | `getImplementationClassName(java.util.Map classMappings, java.lang.String id)`
`java.lang.Class` | `getInterface(java.util.Map classMappings, java.lang.Class implClass)`
`java.lang.String` | `getInterfaceName(java.util.Map classMappings, java.lang.Class implClass)`
`java.util.List` | `getKeys(java.util.Map classMappings)`
`java.lang.Object` | `newObject(java.util.Map classMappings, java.lang.Class _class)`
`java.lang.Object` | `newObject(java.util.Map classMappings, java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactoryImpl

    public ObjectFactoryImpl()

Method Detail

### newObject

    public java.lang.Object newObject(java.util.Map classMappings,
                                      java.lang.Class _class)

  Specified by:
    `newObject` in interface `ObjectFactory`

### getImplementationClass

    public java.lang.Class getImplementationClass(java.util.Map classMappings,
                                                  java.lang.Class itfClass)

  Specified by:
    `getImplementationClass` in interface `ObjectFactory`

### getImplementationClassName

    public java.lang.String getImplementationClassName(java.util.Map classMappings,
                                                       java.lang.Class itfClass)

  Specified by:
    `getImplementationClassName` in interface `ObjectFactory`

### getInterface

    public java.lang.Class getInterface(java.util.Map classMappings,
                                        java.lang.Class implClass)

  Specified by:
    `getInterface` in interface `ObjectFactory`

### getInterfaceName

    public java.lang.String getInterfaceName(java.util.Map classMappings,
                                             java.lang.Class implClass)

  Specified by:
    `getInterfaceName` in interface `ObjectFactory`

### getImplementationClass

    public java.lang.Class getImplementationClass(java.util.Map classMappings,
                                                  java.lang.String id)

  Specified by:
    `getImplementationClass` in interface `ObjectFactory`

### getImplementationClassName

    public java.lang.String getImplementationClassName(java.util.Map classMappings,
                                                       java.lang.String id)

  Specified by:
    `getImplementationClassName` in interface `ObjectFactory`

### getIdForClass

    public java.lang.String getIdForClass(java.util.Map classMappings,
                                          java.lang.Class _class)

  Specified by:
    `getIdForClass` in interface `ObjectFactory`

### newObject

    public java.lang.Object newObject(java.util.Map classMappings,
                                      java.lang.String id)

  Specified by:
    `newObject` in interface `ObjectFactory`

### getKeys

    public java.util.List getKeys(java.util.Map classMappings)

  Specified by:
    `getKeys` in interface `ObjectFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.